SuperTweet API Documentation

The SuperTweet API allows application developers to automatically query Cascaad engine for rich contextual information about Twitter status updates, including semantic metadata, in-text affiliate commerce links, social relevance scores and more. Cascaad gives you the chance to give your users a richer experience and a non-intrusive option for twitter monetization.

Our beta release currently operates on a best-effort basis: contextual information is available only for a subset of Twitter statuses, typically those with above-average levels of social attention.

Access Limits

Rate-limited access to the API is available an open basis to let developers easily experiment with the SuperTweet functionality. By default, you are granted 2000 calls per day and a max rate of a few per second, if you go over you will receive a 403 Forbidden error code.

If you have special needs for which you end up using more than that just contact us to request higher limits.

We will work directly with interested partners to support production-grade, unlimited-rate integrations into their applications, multiple keys (e.g. for your iphone app and your blackberry app) and different functionalities, again, just contact us.

Usage of the API is subject to our Terms of Use.

 

Getting Started

First create an account and proceed to obtain your API key. You will need the key when making requests to the SuperTweet service. The Supertweet API revolves around simple HTTP requests to our endpoints, passing GET query parameters for a domain (currently we only expose twitter.com) and one or more message ids. 

For each call you will have to provide the  query parameter api_key , if that is missing you will get a 403 Forbidden status code, in which case please check your api key.

If an API call is successful you wil always receive a 200 Ok status code, if you get your query parameters wrong we will give you a 400 Bad Request and a custom response in the form

{"error":"the explanation for what was messed up"}

The Result Object

The result of a call is a list of Supertweet objects. Since we work in a best-effort way the number of supertweet results will probably be different from the number of IDs that you requested us, for example, if the message was a simple "ZOMG LOL KTHXBYE" we will ignore it and it won't appear in your result list.

Each object in the list, anyway, will provide you with the message ID and the message text, so you can either map it back to your list by id or use the metadata in relation to the embedded text. 

Anatomy of a SuperTweet

A SuperTweet is a container for a range of contextual information that can enrich a status update. It is composed of two main blocks:

  • Basic Tweet
  • Context

Looking at the schema, here is what a SuperTweet looks like:

<supertweet>

  tweet_domain
  tweet_id
  author_id
  author_screen_name
  tweet_text_body
  created_at

  <context>
    ...
  </context>

</supertweet>

Basic attributes of the original tweet are provided as header fields. Currently the only exposed tweet_domain is twitter.com.

The context block contains a set of meta informations that enrich a tweet. Let's take a closer look at the data provided as context:

<context>

  social_rank
  conversation_size [coming soon]

  <entities>
    entity
    entity
    ...
  </entities>

  <links>
    link
    link
    ...
  </links>

</context>

The social rank is a dynamic scoring of a tweet's relevance, calculated based on the amount of social attention the tweet has received and the influence of those who paid attention to it. This score can be used to provide a relevance-based ordering of messages in a stream, in addition to the traditional chronological display.

Together with the conversation size and conversation method that will be soon added to the API, the social rank is a statistical metric that gives a social context to a tweet.

Entities and links add semantics and metadata to a tweet. These elements point to a specific region in the original text of the message. They let your users have an at-a-glance view of additional information about stories, things and places discussed in the message, without forcing them to leave your application.

Entities could span a single word ("google") or multiple words ("barack obama") and the same entity can occur multiple times in the result.

The entity structure, as shown below, also contains when available affiliate information:

<entity>

  guid
  label
  summary
  image_url
  in_text_span
   
  <affiliate>

    provider_name
    provider_url

    <product>...</product>
    ...

  </affiliate>

  <affiliate>...</affiliate>

</entity>
  • guid is the unique identifier for this entity, which is consistent across different calls.
  • label is the "official" name of the entity in our system, and the summary is the explanation of what it is.
  • image_url is a reference url you can use to offer a preview of the entity discusses in the message text,
  • in_text_span is a list of "position" objects (pairs of start,length) which you can use to highlight the entity in the text

 

You can use affiliation to earn money on a revenue-share basis, letting people access products related to the entities in the current tweet. Every product contains the following commercial fields:

<product>
  
  url
  name
  category
  description
  creator
  price
  thumb_url

</product>

The link block saves you time by resolving short urls and aggregating external information useful for building a small snippet of the web page referenced by the link.

<link>

  in_text_url
  expanded_in_text_url
  type
  in_text_span

  <snippet>

    title
    summary
    thumb_small_url
    thumb_big_url

  </snippet>

</link>

The type field identifies the type of the content the link is pointing to. SuperTweet supports at present the following content types:

  • video
  • image
  • news
  • music
  • social
  • undefined

 

API Calls

The SuperTweet services are exposed as REST methods. At the moment two API calls are available and a third one is coming soon.

 

Show SuperTweet API

http://openapi.cascaad.com/1/supertweet/show.json

 

Description: The call returns a json serialized SuperTweet for every given tweet id

Method: GET

Mandatory parameters:

  • domain: tweet domain
  • message: a string serialized list of tweet ids in the form "id1,id2,id3,...,idn"

Example:

curl -s 'http://openapi.cascaad.com/1/supertweet/show.json?domain=twitter.com&message=9760573348,8964285112,8738515101&api_key=DEVELOPER_API_KEY'

Response:

[
  {
    "supertweet": {
      "tweet_id": "9760573348",
      "created_at": 1267329123,
      "author_id": "5663042",
      "context": {
        "entities": [
          {
            "label": "amazon kindle",
            "image_url": "http://www.freebase.com/api/trans/image_thumb/guid/9202a8c04000641f8000000006c0190d?maxwidth=80&maxheight=80&mode=fillcrop",
            "in_text_span": [{
              "position": {
                "start": 75,
                "offset": 80
              }
            }],
            "guid": "9202a8c04000641f8000000006c0190d",
            "affiliate": [
              {
                "provider_url": "http://www.amazon.com",
                "provider_name": "Amazon",
                "product": {
                  "name": "Kindle Wireless Reading Device (6\" Display, Global Wireless, Latest Generation)",
                  "price": "$259.00",
                  "category": "Electronics",
                  "creator": "Amazon",
                  "url": "http://www.amazon.com/Kindle-Wireless-Reading-Display-Generation/dp/B0015T963C%3FSubscriptionId%3D09A353YT60QR9FJTHM82%26tag%3Dws%26linkCode%3Dxm2%26camp%3D2025%26creative%3D165953%26creativeASIN%3DB0015T963C",
                  "thumb_url": "http://ecx.images-amazon.com/images/I/41t7SWZ2vpL._SL75_.jpg",
                  "description": null
                }
              }
            ],
            "summary": "Amazon Kindle is a software and hardware platform developed by Amazon.com subsidiary Lab126 for rendering and displaying e-books and other digital media. Three hardware devices, known as \"Kindle\", \"Kindle 2,\" and \"Kindle DX\" support this platform, as does an iPhone application called \"Kindle for iPhone\". The first device was released in the United States on November 19, 2007.\nThe Kindle hardware device uses an E Ink brand electronic paper display, and is able to download content over Amazon Whispernet using the Sprint EVDO in the USA or, for newer Kindle 2 devices, AT&T's network internationally. The Kindle hardware device can be used without a computer, and Whispernet is accessible without any fee. These devices also provide free access to the internet. Kindle devices sold prior to October 19, 2009 were sold only in the United States. On October 7, 2009, Amazon announced an international version of the Kindle 2 with a built-in 3G (HSDPA) and EDGE/GSM wireless modem for connectivity in over 100 countries, which went on sale October 19, 2009 worldwide.\nOn March 3, 2009, Amazon.com launched an application called Kindle for iPhone in the App Store for iPhone and iPod Touch owners to"
          }
        ],
        "links": [

        ],
        "social_rank": 5.03607
      },
      "tweet_text_body": "created a quick PDF of the MEF Programming Guide so I could read it on the Kindle. Anyone want it?",
      "tweet_domain": "twitter.com",
      "author_screen_name": "cwoodruff"
    }
  },
  {
    "supertweet": {
      "tweet_id": "8964285112",
      "created_at": 1265901001,
      "author_id": "60086795",
      "context": {
        "entities": [
          {
            "label": "madonna",
            "image_url": "http://www.freebase.com/api/trans/image_thumb/guid/9202a8c04000641f8000000003ac7f48?maxwidth=80&maxheight=80&mode=fillcrop",
            "in_text_span": {
              "position": {
                "start": 17,
                "offset": 23
              }
            },
            "guid": "9202a8c04000641f8000000003ac7f48",
            "affiliate": [
              {
                "provider_url": "http://www.amazon.com",
                "provider_name": "Amazon",
                "product": {
                  "name": "Celebration (2 CD) REMASTERED",
                  "price": "$24.98",
                  "category": "Music",
                  "creator": "Madonna",
                  "url": "http://www.amazon.com/Celebration-2-CD-REMASTERED-Madonna/dp/B002HNA95E%3FSubscriptionId%3D09A353YT60QR9FJTHM82%26tag%3Dws%26linkCode%3Dxm2%26camp%3D2025%26creative%3D165953%26creativeASIN%3DB002HNA95E",
                  "thumb_url": "http://ecx.images-amazon.com/images/I/51Y-umgtbRL._SL75_.jpg",
                  "description": null
                }
              }
            ],
            "summary": "Madonna (born Madonna Louise Ciccone; August 16, 1958) is an American recording artist, actress and entrepreneur. Born in Bay City, Michigan, and raised in Rochester Hills, Michigan, she moved to New York City in 1977, for a career in modern dance. After performing as a member of the pop musical groups Breakfast Club and Emmy, she released her self-titled debut album Madonna in 1983 on Sire Records.\nA series of hit singles from her studio albums Like a Virgin (1984) and True Blue (1986) gained her global recognition, establishing her as a pop icon for pushing the boundaries of lyrical content in mainstream popular music and imagery in her music videos, which became a fixture on MTV. Her recognition was augmented by the film Desperately Seeking Susan (1985) which widely became seen as a Madonna vehicle, despite her not playing the lead. Expanding on the use of religious imagery with Like a Prayer (1989), Madonna received positive critical reception for her diverse musical productions, while at the same time receiving criticism from religious conservatives and the Vatican. In 1992, Madonna founded the Maverick corporation, a joint venture between herself and Time Warner. The same"
          }
        ],
        "links": [

        ],
        "social_rank": 2.0
      },
      "tweet_text_body": "RT @DJSTEPHENV: #madonna #madonna #madonna #madonna #madonna #madonna #madonna #madonna #madonna #madonna #madonna #madonna #madonna #ma ...",
      "tweet_domain": "twitter.com",
      "author_screen_name": "Dani_Bl"
    }
  },
  {
    "supertweet": {
      "tweet_id": "8738515101",
      "created_at": 1265494568,
      "author_id": "83149394",
      "context": {
        "entities": [

        ],
        "links": [

        ],
        "social_rank": 1.0
      },
      "tweet_text_body": "@ricky_martin Madonna!",
      "tweet_domain": "twitter.com",
      "author_screen_name": "yaracaruso"
    }
  }
]

 

Related SuperTweets API

http://openapi.cascaad.com/1/supertweet/related.json

 

Description: The call returns up to 3 json serialized SuperTweets which are topic-related to a given tweet, the result is ordered by decreasing relevance.

Method: GET

Mandatory parameters:

  • domain: tweet domain
  • message: tweet id

Optional parameters:

  • since: how much time in the past the search for related messages should be done

Example:

curl -v 'http://openapi.cascaad.com/1/supertweet/related.json?domain=twitter.com&message=9760573348&api_key=DEVELOPER_API_KEY'

Response:

[
  {
    "supertweet": {
      "tweet_id": "9760573348",
      "created_at": 1267329129,
      "author_id": "5663042",
      "context": {
        "entities": [
          {
            "label": "amazon kindle",
            "image_url": "http://www.freebase.com/api/trans/image_thumb/guid/9202a8c04000641f8000000006c0190d?maxwidth=80&maxheight=80&mode=fillcrop",
            "in_text_span": [{
              "position": {
                "start": 75,
                "offset": 6
              }
            }],
            "guid": "9202a8c04000641f8000000006c0190d",
            "affiliate": [
              {
                "provider_url": "http://www.amazon.com",
                "provider_name": "Amazon",
                "product": {
                  "name": "Kindle Wireless Reading Device (6\" Display, Global Wireless, Latest Generation)",
                  "price": "$259.00",
                  "category": "Electronics",
                  "creator": "Amazon",
                  "url": "http://www.amazon.com/Kindle-Wireless-Reading-Display-Generation/dp/B0015T963C%3FSubscriptionId%3D09A353YT60QR9FJTHM82%26tag%3Dws%26linkCode%3Dxm2%26camp%3D2025%26creative%3D165953%26creativeASIN%3DB0015T963C",
                  "thumb_url": "http://ecx.images-amazon.com/images/I/41t7SWZ2vpL._SL75_.jpg",
                  "description": null
                }
              }
            ],
            "summary": "Amazon Kindle is a software and hardware platform developed by Amazon.com subsidiary Lab126 for rendering and displaying e-books and other digital media. Three hardware devices, known as \"Kindle\", \"Kindle 2,\" and \"Kindle DX\" support this platform, as does an iPhone application called \"Kindle for iPhone\". The first device was released in the United States on November 19, 2007.\nThe Kindle hardware device uses an E Ink brand electronic paper display, and is able to download content over Amazon Whispernet using the Sprint EVDO in the USA or, for newer Kindle 2 devices, AT&T's network internationally. The Kindle hardware device can be used without a computer, and Whispernet is accessible without any fee. These devices also provide free access to the internet. Kindle devices sold prior to October 19, 2009 were sold only in the United States. On October 7, 2009, Amazon announced an international version of the Kindle 2 with a built-in 3G (HSDPA) and EDGE/GSM wireless modem for connectivity in over 100 countries, which went on sale October 19, 2009 worldwide.\nOn March 3, 2009, Amazon.com launched an application called Kindle for iPhone in the App Store for iPhone and iPod Touch owners to"
          }
        ],
        "links": [

        ],
        "social_rank": 5.03607
      },
      "tweet_text_body": "created a quick PDF of the MEF Programming Guide so I could read it on the Kindle. Anyone want it?",
      "tweet_domain": "twitter.com",
      "author_screen_name": "cwoodruff"
    }
  },
  {
    "supertweet": {
      "tweet_id": "8964285112",
      "created_at": 1265901001,
      "author_id": "60086795",
      "context": {
        "entities": [
          {
            "label": "madonna",
            "image_url": "http://www.freebase.com/api/trans/image_thumb/guid/9202a8c04000641f8000000003ac7f48?maxwidth=80&maxheight=80&mode=fillcrop",
            "in_text_span": [{
              "position": {
                "start": 17,
                "offset": 7
              }
            }],
            "guid": "9202a8c04000641f8000000003ac7f48",
            "affiliate": [
              {
                "provider_url": "http://www.amazon.com",
                "provider_name": "Amazon",
                "product": {
                  "name": "Celebration (2 CD) REMASTERED",
                  "price": "$24.98",
                  "category": "Music",
                  "creator": "Madonna",
                  "url": "http://www.amazon.com/Celebration-2-CD-REMASTERED-Madonna/dp/B002HNA95E%3FSubscriptionId%3D09A353YT60QR9FJTHM82%26tag%3Dws%26linkCode%3Dxm2%26camp%3D2025%26creative%3D165953%26creativeASIN%3DB002HNA95E",
                  "thumb_url": "http://ecx.images-amazon.com/images/I/51Y-umgtbRL._SL75_.jpg",
                  "description": null
                }
              }
            ],
            "summary": "Madonna (born Madonna Louise Ciccone; August 16, 1958) is an American recording artist, actress and entrepreneur. Born in Bay City, Michigan, and raised in Rochester Hills, Michigan, she moved to New York City in 1977, for a career in modern dance. After performing as a member of the pop musical groups Breakfast Club and Emmy, she released her self-titled debut album Madonna in 1983 on Sire Records.\nA series of hit singles from her studio albums Like a Virgin (1984) and True Blue (1986) gained her global recognition, establishing her as a pop icon for pushing the boundaries of lyrical content in mainstream popular music and imagery in her music videos, which became a fixture on MTV. Her recognition was augmented by the film Desperately Seeking Susan (1985) which widely became seen as a Madonna vehicle, despite her not playing the lead. Expanding on the use of religious imagery with Like a Prayer (1989), Madonna received positive critical reception for her diverse musical productions, while at the same time receiving criticism from religious conservatives and the Vatican. In 1992, Madonna founded the Maverick corporation, a joint venture between herself and Time Warner. The same"
          }
        ],
        "links": [

        ],
        "social_rank": 2.0
      },
      "tweet_text_body": "RT @DJSTEPHENV: #madonna #madonna #madonna #madonna #madonna #madonna #madonna #madonna #madonna #madonna #madonna #madonna #madonna #ma ...",
      "tweet_domain": "twitter.com",
      "author_screen_name": "Dani_Bl"
    }
  },
  {
    "supertweet": {
      "tweet_id": "8738515101",
      "created_at": 1265494568,
      "author_id": "83149394",
      "context": {
        "entities": [

        ],
        "links": [

        ],
        "social_rank": 1.0
      },
      "tweet_text_body": "@ricky_martin Madonna!",
      "tweet_domain": "twitter.com",
      "author_screen_name": "yaracaruso"
    }
  }
]

 

Conversation API

http://openapi.cascaad.com/1/supertweet/conversation.json

 

Description: The call returns up to 20 json serialized SuperTweets which are public messages in the same conversation thread as the specified tweet.

Method: GET

Mandatory parameters:

  • domain: tweet domain
  • message: tweet id

Example:

curl -v 'http://openapi.cascaad.com/1/supertweet/conversation.json?domain=twitter.com&message=11683341897&api_key=DEVELOPER_API_KEY'

Response:

[    {       "supertweet":{          "tweet_text_body":"Who has the most accurate *global* site traffic stats? (Compete, Hitwise, Quantcast all US-only.) Just comScore? Alexa? Google?",          "tweet_domain":"twitter.com",          "author_screen_name":"ev",          "tweet_id":"11679371388",          "context":{             "social_rank":12.256035,             "links":[             ],             "entities":[                {                   "summary":"Experian Hitwise is a global online competitive intelligence service which collects data directly from ISP networks to aid website managers in analysing trends in visitor behavior and to measure website market share. The Hitwise product is a commercial platform whereby customers pay Hitwise a premium to access data reports for their vertical. A common use of Hitwise is to measure market share on the internet.\nIn 2006 Hitwise was valued at £180m and was subsequently acquired by Experian for $240m on 19 April 2007.\nCompetitors in the internet market research space include AdGooroo, Alexa, comScore, Netcraft, Quantcast and Spyfu.",                   "guid":"9202a8c04000641f800000000470c669",                   "in_text_span":[                      {                         "position":{                            "start":65,                            "offset":7                         }                      }                   ],                   "affiliate":[                      {                         "product":{                            "category":"",                            "price":"",                            "description":null,                            "name":"",                            "thumb_url":"",                            "url":"",                            "creator":""                         },                         "provider_url":"http://www.amazon.com",                         "provider_name":"Amazon"                      }                   ],                   "label":"hitwise",                   "image_url":"http://www.freebase.com/api/trans/image_thumb/guid/9202a8c04000641f800000000470c669?maxwidth=80&maxheight=80&mode=fillcrop"                },                {                   "summary":"Google Inc. is an American public corporation specializing in Internet search. It also generates profits from advertising bought on its similarly free-to-user e-mail, online mapping, office productivity, social networking and video-sharing services. Advert-free versions are available via paid subscription. Google has more recently developed an open source web browser and a mobile phone operating system. Its headquarters, often referred to as the Googleplex, are in Mountain View, California. As of March 31, 2009 (2009 -03-31), the company had 19,786 full-time employees. It runs thousands of servers across the world, processing millions of search requests each day and about one petabyte of user-generated data each hour.\nGoogle was founded by Larry Page and Sergey Brin while students at Stanford University. It was first incorporated as a privately held company on September 4, 1998. The initial public offering was on August 19, 2004. It raised $1.67 billion, implying a total value of $23 billion. Google's rapid growth has sparked a sequence of new products, acquisitions and partnerships beyond its core search engine. Environmentalism, philanthropy and positive employee relations were",                   "guid":"9202a8c04000641f800000000042acea",                   "in_text_span":[                      {                         "position":{                            "start":120,                            "offset":6                         }                      }                   ],                   "affiliate":[                      {                         "product":{                            "category":"Books",                            "price":"$24.95",                            "description":null,                            "name":"Inbound Marketing: Get Found Using Google, Social Media, and Blogs (The New Rules of Social Media)",                            "thumb_url":"http://ecx.images-amazon.com/images/I/51WgPVrnY-L._SL75_.jpg",                            "url":"http://www.amazon.com/Inbound-Marketing-Found-Google-Social/dp/0470499311%3FSubscriptionId%3D09A353YT60QR9FJTHM82%26tag%3Dws%26linkCode%3Dxm2%26camp%3D2025%26creative%3D165953%26creativeASIN%3D0470499311",                            "creator":"Brian Halligan"                         },                         "provider_url":"http://www.amazon.com",                         "provider_name":"Amazon"                      }                   ],                   "label":"google",                   "image_url":"http://www.freebase.com/api/trans/image_thumb/guid/9202a8c04000641f800000000042acea?maxwidth=80&maxheight=80&mode=fillcrop"                },                {                   "summary":"comScore (NASDAQ: SCOR) is an internet marketing research company providing marketing data and services to many of the Internet's largest businesses. comScore tracks all internet data on its surveyed computers in order to study online behavior.\ncomScore Networks was founded in August 1999 in Reston, Virginia. The company was co-founded by Gian Fulgoni, who was for many years the CEO of Information Resources (one of the world's largest market research companies) and Magid Abraham, who was also an ex-IRI employee and had served as President of IRI in the mid-1990s.\nMagid and Gian came up with the idea while working with one of the original investors in the company, Mike Santer, who thought up the concept of creating a very large consumer panel online to track online commerce. The problem was that the traditional methods in which companies were tracking online behavior would not work in tracking commerce, because of the lower incidence of buying online. Normal panels in tracking visitation would be around 20-30K and, with less than 2-3% of the population buying online, the panel size needed to be at least 1-2MM. They decided to build a very large panel using more aggressive recruiting",                   "guid":"9202a8c04000641f80000000011b61e1",                   "in_text_span":[                      {                         "position":{                            "start":103,                            "offset":8                         }                      }                   ],                   "affiliate":[                      {                         "product":{                            "category":"Books",                            "price":"$65.00",                            "description":null,                            "name":"Internet Marketing: Marketing, Internet, Customer Engagement, Search Engine Marketing, Search Engine Optimization, Web Banner, E-mail Marketing, Web 2.0, ... ComScore, Hit (Internet), Article Marketing",                            "thumb_url":"http://ecx.images-amazon.com/images/I/41KlBuTbExL._SL75_.jpg",                            "url":"http://www.amazon.com/Internet-Marketing-Customer-Engagement-Optimization/dp/613027193X%3FSubscriptionId%3D09A353YT60QR9FJTHM82%26tag%3Dws%26linkCode%3Dxm2%26camp%3D2025%26creative%3D165953%26creativeASIN%3D613027193X",                            "creator":""                         },                         "provider_url":"http://www.amazon.com",                         "provider_name":"Amazon"                      }                   ],                   "label":"comscore",                   "image_url":"http://www.freebase.com/api/trans/image_thumb/guid/9202a8c04000641f80000000011b61e1?maxwidth=80&maxheight=80&mode=fillcrop"                },                {                   "summary":"Alexa Internet, Inc. is a California based subsidiary company of Amazon.com that is known for its toolbar and website. Once installed, the toolbar collects data on browsing behavior which is transmitted to the website where it is stored and analyzed and is the basis for the company's web traffic reporting.\nThe company's premises are in Building 37 of the Presidio of San Francisco in San Francisco, California.\nAlexa Internet was founded in 1996 by Brewster Kahle and Bruce Gilliat claiming it would improve internet searching by tracking user decisions and using that data to aid future searches.\nThe company's name was chosen in homage to the Library of Alexandria, drawing a parallel between the largest repository of knowledge in the ancient world to the potential for the Internet if the alleged search problem could be solved. In addition, ALEXA was originally an abbreviation for Address Lookup EXperts Authority.\nThe company offered a toolbar that gave Internet users suggestions on where to go next, based on the traffic patterns of its user community. Alexa also offered context for each site visited: to whom it was registered, how many pages it had, how many other sites pointed to it,",                   "guid":"9202a8c04000641f8000000004e20f7f",                   "in_text_span":[                      {                         "position":{                            "start":113,                            "offset":5                         }                      }                   ],                   "affiliate":[                      {                         "product":{                            "category":"Books",                            "price":"$50.00",                            "description":null,                            "name":"Alexa Hampton: The Language of Interior Design",                            "thumb_url":"",                            "url":"http://www.amazon.com/Alexa-Hampton-Language-Interior-Design/dp/0307460533%3FSubscriptionId%3D09A353YT60QR9FJTHM82%26tag%3Dws%26linkCode%3Dxm2%26camp%3D2025%26creative%3D165953%26creativeASIN%3D0307460533",                            "creator":"Alexa Hampton"                         },                         "provider_url":"http://www.amazon.com",                         "provider_name":"Amazon"                      }                   ],                   "label":"alexa internet",                   "image_url":"http://www.freebase.com/api/trans/image_thumb/guid/9202a8c04000641f8000000004e20f7f?maxwidth=80&maxheight=80&mode=fillcrop"                },                {                   "summary":"Quantcast is a Web site that is based on viewing the statistics of other Web sites. Quantcast Corporation's prime focus is to analyze the Internet's Web sites in order to obtain accurate usage statistics by surfers from the USA. Like Alexa, Quantcast rates Web pages by ranks. Quantcast statistics always refer to the usage from the United States, therefore Alexa data and Quantcast data does not always show the same results. Quantcast does not require a tool bar to be installed upon one's web browser to obtain statistics. Instead participating websites voluntarily insert Quantcast HTML code inside Web pages they wish to have included in statistics. This code allows Quantcast to keep track of the traffic directed towards those Web sites. Using this mechanism Quantcast can provide thorough details about Web pages created by participating publishers. Some of this information includes, for example, whether the Web page viewer is a male or female, whether the average viewer makes $30,000 USD annually or $100,000 USD annually, the age group of the viewer and the amount of U.S. homes the Web site reaches. This information is provided by inference: comparing and correlating the information",                   "guid":"9202a8c04000641f80000000046cf74c",                   "in_text_span":[                      {                         "position":{                            "start":74,                            "offset":9                         }                      }                   ],                   "affiliate":[                      {                         "product":{                            "category":"",                            "price":"",                            "description":null,                            "name":"",                            "thumb_url":"",                            "url":"",                            "creator":""                         },                         "provider_url":"http://www.amazon.com",                         "provider_name":"Amazon"                      }                   ],                   "label":"quantcast",                   "image_url":"http://www.freebase.com/api/trans/image_thumb/guid/9202a8c04000641f80000000046cf74c?maxwidth=80&maxheight=80&mode=fillcrop"                }             ]          },          "created_at":1270525638,          "author_id":"20"       }    },    {       "supertweet":{          "tweet_text_body":"@ev I always use Alexa, but I don't know who is actually better...",          "tweet_domain":"twitter.com",          "author_screen_name":"ScottMighells",          "tweet_id":"11679427306",          "context":{             "social_rank":0.0,             "links":[             ],             "entities":[             ]          },          "created_at":1270525708000,          "author_id":"43221541"       }    },    {       "supertweet":{          "tweet_text_body":"@ev No one. Trust me, they're all just a bunch of manipulators.",          "tweet_domain":"twitter.com",          "author_screen_name":"sotek",          "tweet_id":"11679482307",          "context":{             "social_rank":1.0,             "links":[             ],             "entities":[             ]          },          "created_at":1270525780,          "author_id":"5580862"       }    },    {       "supertweet":{          "tweet_text_body":"@ev http://www.quora.com/Which-web-traffic-measurement-service-is-the-most-accurate-Compete-Quantcast-Alexa-Comscore-etc",          "tweet_domain":"twitter.com",          "author_screen_name":"artypapers",          "tweet_id":"11679630702",          "context":{             "social_rank":1.0,             "links":[                {                   "in_text_span":{                      "position":{                         "start":4,                         "offset":116                      }                   },                   "snippet":{                      "summary":"",                      "title":"Quora - Login"                   },                   "in_text_url":"http://www.quora.com/Which-web-traffic-measurement-service-is-the-most-accurate-Compete-Quantcast-Alexa-Comscore-etc",                   "type":"undefined",                   "expanded_in_text_url":"http://www.quora.com/login/index?next=%2FWhich-web-traffic-measurement-service-is-the-most-accurate-Compete-Quantcast-Alexa-Comscore-etc&__pmsg__=+dUlrSTJaVlYzR0pKN2Q0dUJLZlM6YS5hcHAudmlldy5wbXNnLmFsbC5Mb2dpblJlcXVpcmVkOltbXSwge31d"                }             ],             "entities":[             ]          },          "created_at":1270525970,          "author_id":"19479427"       }    },    {       "supertweet":{          "tweet_text_body":"@ev Alexa should be more accurate b/c it has 10m users of its toolbar, vs comScore at 2m in their global panel. Both exclude mobile though.",          "tweet_domain":"twitter.com",          "author_screen_name":"fidjissimo",          "tweet_id":"11680416100",          "context":{             "social_rank":1.0,             "links":[             ],             "entities":[                {                   "summary":"comScore (NASDAQ: SCOR) is an internet marketing research company providing marketing data and services to many of the Internet's largest businesses. comScore tracks all internet data on its surveyed computers in order to study online behavior.\ncomScore Networks was founded in August 1999 in Reston, Virginia. The company was co-founded by Gian Fulgoni, who was for many years the CEO of Information Resources (one of the world's largest market research companies) and Magid Abraham, who was also an ex-IRI employee and had served as President of IRI in the mid-1990s.\nMagid and Gian came up with the idea while working with one of the original investors in the company, Mike Santer, who thought up the concept of creating a very large consumer panel online to track online commerce. The problem was that the traditional methods in which companies were tracking online behavior would not work in tracking commerce, because of the lower incidence of buying online. Normal panels in tracking visitation would be around 20-30K and, with less than 2-3% of the population buying online, the panel size needed to be at least 1-2MM. They decided to build a very large panel using more aggressive recruiting",                   "guid":"9202a8c04000641f80000000011b61e1",                   "in_text_span":[                      {                         "position":{                            "start":74,                            "offset":8                         }                      }                   ],                   "affiliate":[                      {                         "product":{                            "category":"Books",                            "price":"$65.00",                            "description":null,                            "name":"Internet Marketing: Marketing, Internet, Customer Engagement, Search Engine Marketing, Search Engine Optimization, Web Banner, E-mail Marketing, Web 2.0, ... ComScore, Hit (Internet), Article Marketing",                            "thumb_url":"http://ecx.images-amazon.com/images/I/41KlBuTbExL._SL75_.jpg",                            "url":"http://www.amazon.com/Internet-Marketing-Customer-Engagement-Optimization/dp/613027193X%3FSubscriptionId%3D09A353YT60QR9FJTHM82%26tag%3Dws%26linkCode%3Dxm2%26camp%3D2025%26creative%3D165953%26creativeASIN%3D613027193X",                            "creator":""                         },                         "provider_url":"http://www.amazon.com",                         "provider_name":"Amazon"                      }                   ],                   "label":"comscore",                   "image_url":"http://www.freebase.com/api/trans/image_thumb/guid/9202a8c04000641f80000000011b61e1?maxwidth=80&maxheight=80&mode=fillcrop"                },                {                   "summary":"The AOL Toolbar is a browser toolbar for Internet Explorer, Firefox, and Flock. It has a few default buttons like Mail, Weather, and Radio, and also allows the user to add additional buttons - from the Button Gallery or by dragging and dropping a website's favicon.\nIt allows the user to search, view widgets from many sites, read RSS feeds, and displays a count of the number of pages visited. via a small odometer-style indicator.\nThe AOL Toolbar is one of a range made by AOL, which include toolbars branded with their other properties, such as AIM, MapQuest, AOL Radio, and Winamp. The complete collection is available from http://toolbar.aol.com/all\nNote: Opera is currently not supported since Opera does not support any Toolbars",                   "guid":"9202a8c04000641f8000000005ac220e",                   "in_text_span":[                      {                         "position":{                            "start":62,                            "offset":7                         }                      }                   ],                   "affiliate":[                      {                         "product":{                            "category":"Books",                            "price":"$5.95",                            "description":null,                            "name":"Browsers beware: Ad technology retools toolbar. (New Apps to Learn From).(United Virtualities to launch Ooqa Ooqa)(Brief Article)(Product Announcement): An article from: The E-Tactics Letter",                            "thumb_url":"",                            "url":"http://www.amazon.com/Browsers-beware-technology-Virtualities-Announcement/dp/B0008F8TMS%3FSubscriptionId%3D09A353YT60QR9FJTHM82%26tag%3Dws%26linkCode%3Dxm2%26camp%3D2025%26creative%3D165953%26creativeASIN%3DB0008F8TMS",                            "creator":""                         },                         "provider_url":"http://www.amazon.com",                         "provider_name":"Amazon"                      }                   ],                   "label":"aol toolbar",                   "image_url":"http://www.freebase.com/api/trans/image_thumb/guid/9202a8c04000641f8000000005ac220e?maxwidth=80&maxheight=80&mode=fillcrop"                }             ]          },          "created_at":1270527026,          "author_id":"6112332"       }    },    {       "supertweet":{          "tweet_text_body":"@ev for tech sites, alexa does a fairly good job. for entertainment/media properties, comscore/hitwise",          "tweet_domain":"twitter.com",          "author_screen_name":"pluggdin",          "tweet_id":"11680901914",          "context":{             "social_rank":3.25071,             "links":[             ],             "entities":[                {                   "summary":"Experian Hitwise is a global online competitive intelligence service which collects data directly from ISP networks to aid website managers in analysing trends in visitor behavior and to measure website market share. The Hitwise product is a commercial platform whereby customers pay Hitwise a premium to access data reports for their vertical. A common use of Hitwise is to measure market share on the internet.\nIn 2006 Hitwise was valued at £180m and was subsequently acquired by Experian for $240m on 19 April 2007.\nCompetitors in the internet market research space include AdGooroo, Alexa, comScore, Netcraft, Quantcast and Spyfu.",                   "guid":"9202a8c04000641f800000000470c669",                   "in_text_span":[                      {                         "position":{                            "start":95,                            "offset":7                         }                      }                   ],                   "affiliate":[                      {                         "product":{                            "category":"",                            "price":"",                            "description":null,                            "name":"",                            "thumb_url":"",                            "url":"",                            "creator":""                         },                         "provider_url":"http://www.amazon.com",                         "provider_name":"Amazon"                      }                   ],                   "label":"hitwise",                   "image_url":"http://www.freebase.com/api/trans/image_thumb/guid/9202a8c04000641f800000000470c669?maxwidth=80&maxheight=80&mode=fillcrop"                },                {                   "summary":"comScore (NASDAQ: SCOR) is an internet marketing research company providing marketing data and services to many of the Internet's largest businesses. comScore tracks all internet data on its surveyed computers in order to study online behavior.\ncomScore Networks was founded in August 1999 in Reston, Virginia. The company was co-founded by Gian Fulgoni, who was for many years the CEO of Information Resources (one of the world's largest market research companies) and Magid Abraham, who was also an ex-IRI employee and had served as President of IRI in the mid-1990s.\nMagid and Gian came up with the idea while working with one of the original investors in the company, Mike Santer, who thought up the concept of creating a very large consumer panel online to track online commerce. The problem was that the traditional methods in which companies were tracking online behavior would not work in tracking commerce, because of the lower incidence of buying online. Normal panels in tracking visitation would be around 20-30K and, with less than 2-3% of the population buying online, the panel size needed to be at least 1-2MM. They decided to build a very large panel using more aggressive recruiting",                   "guid":"9202a8c04000641f80000000011b61e1",                   "in_text_span":[                      {                         "position":{                            "start":86,                            "offset":8                         }                      }                   ],                   "affiliate":[                      {                         "product":{                            "category":"Books",                            "price":"$65.00",                            "description":null,                            "name":"Internet Marketing: Marketing, Internet, Customer Engagement, Search Engine Marketing, Search Engine Optimization, Web Banner, E-mail Marketing, Web 2.0, ... ComScore, Hit (Internet), Article Marketing",                            "thumb_url":"http://ecx.images-amazon.com/images/I/41KlBuTbExL._SL75_.jpg",                            "url":"http://www.amazon.com/Internet-Marketing-Customer-Engagement-Optimization/dp/613027193X%3FSubscriptionId%3D09A353YT60QR9FJTHM82%26tag%3Dws%26linkCode%3Dxm2%26camp%3D2025%26creative%3D165953%26creativeASIN%3D613027193X",                            "creator":""                         },                         "provider_url":"http://www.amazon.com",                         "provider_name":"Amazon"                      }                   ],                   "label":"comscore",                   "image_url":"http://www.freebase.com/api/trans/image_thumb/guid/9202a8c04000641f80000000011b61e1?maxwidth=80&maxheight=80&mode=fillcrop"                }             ]          },          "created_at":1270527728,          "author_id":"3198991"       }    },    {       "supertweet":{          "tweet_text_body":"@ev google i guess",          "tweet_domain":"twitter.com",          "author_screen_name":"HumaPervaiz",          "tweet_id":"11681588404",          "context":{             "social_rank":1.0,             "links":[             ],             "entities":[                {                   "summary":"Google Inc. is an American public corporation specializing in Internet search. It also generates profits from advertising bought on its similarly free-to-user e-mail, online mapping, office productivity, social networking and video-sharing services. Advert-free versions are available via paid subscription. Google has more recently developed an open source web browser and a mobile phone operating system. Its headquarters, often referred to as the Googleplex, are in Mountain View, California. As of March 31, 2009 (2009 -03-31), the company had 19,786 full-time employees. It runs thousands of servers across the world, processing millions of search requests each day and about one petabyte of user-generated data each hour.\nGoogle was founded by Larry Page and Sergey Brin while students at Stanford University. It was first incorporated as a privately held company on September 4, 1998. The initial public offering was on August 19, 2004. It raised $1.67 billion, implying a total value of $23 billion. Google's rapid growth has sparked a sequence of new products, acquisitions and partnerships beyond its core search engine. Environmentalism, philanthropy and positive employee relations were",                   "guid":"9202a8c04000641f800000000042acea",                   "in_text_span":[                      {                         "position":{                            "start":4,                            "offset":6                         }                      }                   ],                   "affiliate":[                      {                         "product":{                            "category":"Books",                            "price":"$34.99",                            "description":null,                            "name":"Google Analytics, 3rd Edition",                            "thumb_url":"http://ecx.images-amazon.com/images/I/51SrPqY5rPL._SL75_.jpg",                            "url":"http://www.amazon.com/Google-Analytics-3rd-Jerri-Ledford/dp/0470531282%3FSubscriptionId%3D09A353YT60QR9FJTHM82%26tag%3Dws%26linkCode%3Dxm2%26camp%3D2025%26creative%3D165953%26creativeASIN%3D0470531282",                            "creator":"Jerri L. Ledford"                         },                         "provider_url":"http://www.amazon.com",                         "provider_name":"Amazon"                      }                   ],                   "label":"google",                   "image_url":"http://www.freebase.com/api/trans/image_thumb/guid/9202a8c04000641f800000000042acea?maxwidth=80&maxheight=80&mode=fillcrop"                }             ]          },          "created_at":1270528769,          "author_id":"126541555"       }    },    {       "supertweet":{          "tweet_text_body":"@ev my guess is quantcast",          "tweet_domain":"twitter.com",          "author_screen_name":"alreymba",          "tweet_id":"11682480908",          "context":{             "social_rank":1.0,             "links":[             ],             "entities":[                {                   "summary":"Quantcast is a Web site that is based on viewing the statistics of other Web sites. Quantcast Corporation's prime focus is to analyze the Internet's Web sites in order to obtain accurate usage statistics by surfers from the USA. Like Alexa, Quantcast rates Web pages by ranks. Quantcast statistics always refer to the usage from the United States, therefore Alexa data and Quantcast data does not always show the same results. Quantcast does not require a tool bar to be installed upon one's web browser to obtain statistics. Instead participating websites voluntarily insert Quantcast HTML code inside Web pages they wish to have included in statistics. This code allows Quantcast to keep track of the traffic directed towards those Web sites. Using this mechanism Quantcast can provide thorough details about Web pages created by participating publishers. Some of this information includes, for example, whether the Web page viewer is a male or female, whether the average viewer makes $30,000 USD annually or $100,000 USD annually, the age group of the viewer and the amount of U.S. homes the Web site reaches. This information is provided by inference: comparing and correlating the information",                   "guid":"9202a8c04000641f80000000046cf74c",                   "in_text_span":[                      {                         "position":{                            "start":16,                            "offset":9                         }                      }                   ],                   "affiliate":[                      {                         "product":{                            "category":"",                            "price":"",                            "description":null,                            "name":"",                            "thumb_url":"",                            "url":"",                            "creator":""                         },                         "provider_url":"http://www.amazon.com",                         "provider_name":"Amazon"                      }                   ],                   "label":"quantcast",                   "image_url":"http://www.freebase.com/api/trans/image_thumb/guid/9202a8c04000641f80000000046cf74c?maxwidth=80&maxheight=80&mode=fillcrop"                }             ]          },          "created_at":1270530205,          "author_id":"24400083"       }    },    {       "supertweet":{          "tweet_text_body":"@ev Comscore in the US. Nielsen in Europe. Not sure about Asia/China/Japan",          "tweet_domain":"twitter.com",          "author_screen_name":"jeff",          "tweet_id":"11683341897",          "context":{             "social_rank":5.79899,             "links":[             ],             "entities":[                {                   "summary":"China (simplified Chinese: 中 国; traditional Chinese: 中 國; pinyin:  Zhōngguó (help·info)) is a cultural region, an ancient civilization, and, depending on perspective, a national or multinational entity extending over a large area in East Asia.\nIn 1949, when major combat ended in the Chinese Civil War, two political entities emerged having the term \"China\" in their names:\nChina has one of the world's oldest civilizations and has the oldest continuous civilization. It has archaeological evidence dating back over 5,000 years. China was the largest and most advanced civilization for much of recorded history and is viewed as the source of many major inventions. It has also one of the world's oldest written language systems.\nHistorically, China's cultural sphere has extended across East Asia as a whole, with Chinese religion, customs, and writing systems being adopted to varying degrees by neighbors such as Japan, Korea and Vietnam. The first evidence of human presence in the region was found at the Zhoukoudian cave and is one of the first known specimens of Homo erectus, now commonly known as the Peking Man, estimated to have lived from 300,000 to 780,000 years ago.\nThe first recorded use",                   "guid":"9202a8c04000641f8000000000c01763",                   "in_text_span":[                      {                         "position":{                            "start":63,                            "offset":5                         }                      }                   ],                   "affiliate":[                      {                         "product":{                            "category":"Books",                            "price":"$16.95",                            "description":null,                            "name":"The China Study: The Most Comprehensive Study of Nutrition Ever Conducted and the Startling Implications for Diet, Weight Loss and Long-term Health",                            "thumb_url":"http://ecx.images-amazon.com/images/I/51J-L-LUH5L._SL75_.jpg",                            "url":"http://www.amazon.com/China-Study-Comprehensive-Nutrition-Implications/dp/1932100660%3FSubscriptionId%3D09A353YT60QR9FJTHM82%26tag%3Dws%26linkCode%3Dxm2%26camp%3D2025%26creative%3D165953%26creativeASIN%3D1932100660",                            "creator":"T. Colin Campbell"                         },                         "provider_url":"http://www.amazon.com",                         "provider_name":"Amazon"                      }                   ],                   "label":"china",                   "image_url":"http://www.freebase.com/api/trans/image_thumb/guid/9202a8c04000641f8000000000c01763?maxwidth=80&maxheight=80&mode=fillcrop"                },                {                   "summary":"Japan (日 本, Nihon or Nippon, officially 日本国  Nippon-koku or Nihon- koku) is an island country in East Asia. Located in the Pacific Ocean, it lies to the east of the Sea of Japan, People's Republic of China, North Korea, South Korea and Russia, stretching from the Sea of Okhotsk in the north to the East China Sea and Taiwan in the south. The characters which make up Japan's name mean \"sun-origin\", which is why Japan is sometimes identified as the \"Land of the Rising Sun\".\nJapan is an archipelago of 6,852 islands. The four largest islands are Honshū, Hokkaidō, Kyūshū and Shikoku, together accounting for 97% of Japan's land area. Most of the islands are mountainous, many volcanic; for example, Japan’s highest peak, Mount Fuji, is a volcano. Japan has the world's tenth-largest population, with about 128 million people. The Greater Tokyo Area, which includes the de facto capital city of Tokyo and several surrounding prefectures, is the largest metropolitan area in the world, with over 30 million residents.\nArchaeological research indicates that people were living on the islands of Japan as early as the Upper Paleolithic period. The first written mention of Japan begins with brief",                   "guid":"9202a8c04000641f800000000001fc6c",                   "in_text_span":[                      {                         "position":{                            "start":69,                            "offset":5                         }                      }                   ],                   "affiliate":[                      {                         "product":{                            "category":"Books",                            "price":"$24.99",                            "description":null,                            "name":"Whirlwind: The Air War Against Japan 1942-1945",                            "thumb_url":"http://ecx.images-amazon.com/images/I/51t6J-wojEL._SL75_.jpg",                            "url":"http://www.amazon.com/Whirlwind-Air-Against-Japan-1942-1945/dp/1400164206%3FSubscriptionId%3D09A353YT60QR9FJTHM82%26tag%3Dws%26linkCode%3Dxm2%26camp%3D2025%26creative%3D165953%26creativeASIN%3D1400164206",                            "creator":"Barrett Tillman"                         },                         "provider_url":"http://www.amazon.com",                         "provider_name":"Amazon"                      }                   ],                   "label":"japan",                   "image_url":"http://www.freebase.com/api/trans/image_thumb/guid/9202a8c04000641f800000000001fc6c?maxwidth=80&maxheight=80&mode=fillcrop"                },                {                   "summary":"Europe (/ˈjʊərəp/) is, by convention, one of the world's seven continents. Comprising the westernmost peninsula of Eurasia, Europe is generally divided from Asia to its east by the water divide of the Ural Mountains, the Ural River, the Caspian Sea, the Caucasus Mountains (or the Kuma-Manych Depression), and the Black Sea to the southeast. Europe is bordered by the Arctic Ocean and other bodies of water to the north, the Atlantic Ocean to the west, the Mediterranean Sea to the south, and the Black Sea and connected waterways to the southeast. Yet the borders for Europe—a concept dating back to classical antiquity—are somewhat arbitrary, as the term continent can refer to a cultural and political distinction or a physiographic one.\nEurope is the world's second-smallest continent by surface area, covering about 10,180,000 square kilometres (3,930,000 sq mi) or 2% of the Earth's surface and about 6.8% of its land area. Of Europe's approximately 50 states, Russia is the largest by both area and population, while the Vatican City is the smallest. Europe is the third most populous continent after Asia and Africa, with a population of 731 million or about 11% of the world's population;",                   "guid":"9202a8c04000641f800000000001413e",                   "in_text_span":[                      {                         "position":{                            "start":35,                            "offset":6                         }                      }                   ],                   "affiliate":[                      {                         "product":{                            "category":"Books",                            "price":"$20.00",                            "description":null,                            "name":"Medieval Europe",                            "thumb_url":"http://ecx.images-amazon.com/images/I/5166-jlbvqL._SL75_.jpg",                            "url":"http://www.amazon.com/Medieval-Europe-H-W-Davis/dp/1153741180%3FSubscriptionId%3D09A353YT60QR9FJTHM82%26tag%3Dws%26linkCode%3Dxm2%26camp%3D2025%26creative%3D165953%26creativeASIN%3D1153741180",                            "creator":"H. W. C. Davis"                         },                         "provider_url":"http://www.amazon.com",                         "provider_name":"Amazon"                      }                   ],                   "label":"europe",                   "image_url":"http://www.freebase.com/api/trans/image_thumb/guid/9202a8c04000641f800000000001413e?maxwidth=80&maxheight=80&mode=fillcrop"                },                {                   "summary":"comScore (NASDAQ: SCOR) is an internet marketing research company providing marketing data and services to many of the Internet's largest businesses. comScore tracks all internet data on its surveyed computers in order to study online behavior.\ncomScore Networks was founded in August 1999 in Reston, Virginia. The company was co-founded by Gian Fulgoni, who was for many years the CEO of Information Resources (one of the world's largest market research companies) and Magid Abraham, who was also an ex-IRI employee and had served as President of IRI in the mid-1990s.\nMagid and Gian came up with the idea while working with one of the original investors in the company, Mike Santer, who thought up the concept of creating a very large consumer panel online to track online commerce. The problem was that the traditional methods in which companies were tracking online behavior would not work in tracking commerce, because of the lower incidence of buying online. Normal panels in tracking visitation would be around 20-30K and, with less than 2-3% of the population buying online, the panel size needed to be at least 1-2MM. They decided to build a very large panel using more aggressive recruiting",                   "guid":"9202a8c04000641f80000000011b61e1",                   "in_text_span":[                      {                         "position":{                            "start":4,                            "offset":8                         }                      }                   ],                   "affiliate":[                      {                         "product":{                            "category":"Books",                            "price":"$65.00",                            "description":null,                            "name":"Internet Marketing: Marketing, Internet, Customer Engagement, Search Engine Marketing, Search Engine Optimization, Web Banner, E-mail Marketing, Web 2.0, ... ComScore, Hit (Internet), Article Marketing",                            "thumb_url":"http://ecx.images-amazon.com/images/I/41KlBuTbExL._SL75_.jpg",                            "url":"http://www.amazon.com/Internet-Marketing-Customer-Engagement-Optimization/dp/613027193X%3FSubscriptionId%3D09A353YT60QR9FJTHM82%26tag%3Dws%26linkCode%3Dxm2%26camp%3D2025%26creative%3D165953%26creativeASIN%3D613027193X",                            "creator":""                         },                         "provider_url":"http://www.amazon.com",                         "provider_name":"Amazon"                      }                   ],                   "label":"comscore",                   "image_url":"http://www.freebase.com/api/trans/image_thumb/guid/9202a8c04000641f80000000011b61e1?maxwidth=80&maxheight=80&mode=fillcrop"                },                {                   "summary":"Asia is the world's largest and most populous continent, located in the eastern and northern hemispheres. It covers 8.6% of the earth's total surface area (or 29.9% of its land area) and with approximately 4 billion people, it hosts 60% of the world's current human population.\nAsia is traditionally defined as part of the landmass of Eurasia — with the western portion of the latter occupied by Europe — located to the east of the Suez Canal, east of the Ural Mountains and south of the Caucasus Mountains (or the Kuma-Manych Depression) and the Caspian and Black Seas. It is bounded on the east by the Pacific Ocean, on the south by the Indian Ocean and on the north by the Arctic Ocean. Given its size and diversity, Asia — a toponym dating back to classical antiquity — is more a cultural concept incorporating a number of regions and peoples than a homogeneous physical entity (see Subregions of Asia, Asian people).\nThe wealth of Asia differs very widely among and within its regions, due to its vast size and huge range of different cultures, environments, historical ties and government systems. In terms of nominal GDP, Japan has the largest economy on the continent and the second largest",                   "guid":"9202a8c04000641f8000000000004011",                   "in_text_span":[                      {                         "position":{                            "start":58,                            "offset":4                         }                      }                   ],                   "affiliate":[                      {                         "product":{                            "category":"Books",                            "price":"$18.00",                            "description":null,                            "name":"Descent into Chaos: The U.S. and the Disaster in Pakistan, Afghanistan, and Central Asia",                            "thumb_url":"http://ecx.images-amazon.com/images/I/512oD9-ZbeL._SL75_.jpg",                            "url":"http://www.amazon.com/Descent-into-Chaos-Disaster-Afghanistan/dp/014311557X%3FSubscriptionId%3D09A353YT60QR9FJTHM82%26tag%3Dws%26linkCode%3Dxm2%26camp%3D2025%26creative%3D165953%26creativeASIN%3D014311557X",                            "creator":"Ahmed Rashid"                         },                         "provider_url":"http://www.amazon.com",                         "provider_name":"Amazon"                      }                   ],                   "label":"asia",                   "image_url":"http://www.freebase.com/api/trans/image_thumb/guid/9202a8c04000641f8000000000004011?maxwidth=80&maxheight=80&mode=fillcrop"                }             ]          },          "created_at":1270531698,          "author_id":"819999"       }    },    {       "supertweet":{          "tweet_text_body":"@jeff Nielsen getting more significant market shares in China. Comscore still weak.",          "tweet_domain":"twitter.com",          "author_screen_name":"CHINICT",          "tweet_id":"11683567380",          "context":{             "social_rank":1.0,             "links":[             ],             "entities":[                {                   "summary":"China (simplified Chinese: 中 国; traditional Chinese: 中 國; pinyin:  Zhōngguó (help·info)) is a cultural region, an ancient civilization, and, depending on perspective, a national or multinational entity extending over a large area in East Asia.\nIn 1949, when major combat ended in the Chinese Civil War, two political entities emerged having the term \"China\" in their names:\nChina has one of the world's oldest civilizations and has the oldest continuous civilization. It has archaeological evidence dating back over 5,000 years. China was the largest and most advanced civilization for much of recorded history and is viewed as the source of many major inventions. It has also one of the world's oldest written language systems.\nHistorically, China's cultural sphere has extended across East Asia as a whole, with Chinese religion, customs, and writing systems being adopted to varying degrees by neighbors such as Japan, Korea and Vietnam. The first evidence of human presence in the region was found at the Zhoukoudian cave and is one of the first known specimens of Homo erectus, now commonly known as the Peking Man, estimated to have lived from 300,000 to 780,000 years ago.\nThe first recorded use",                   "guid":"9202a8c04000641f8000000000c01763",                   "in_text_span":[                      {                         "position":{                            "start":56,                            "offset":5                         }                      }                   ],                   "affiliate":[                      {                         "product":{                            "category":"Books",                            "price":"$16.95",                            "description":null,                            "name":"The China Study: The Most Comprehensive Study of Nutrition Ever Conducted and the Startling Implications for Diet, Weight Loss and Long-term Health",                            "thumb_url":"http://ecx.images-amazon.com/images/I/51J-L-LUH5L._SL75_.jpg",                            "url":"http://www.amazon.com/China-Study-Comprehensive-Nutrition-Implications/dp/1932100660%3FSubscriptionId%3D09A353YT60QR9FJTHM82%26tag%3Dws%26linkCode%3Dxm2%26camp%3D2025%26creative%3D165953%26creativeASIN%3D1932100660",                            "creator":"T. Colin Campbell"                         },                         "provider_url":"http://www.amazon.com",                         "provider_name":"Amazon"                      }                   ],                   "label":"china",                   "image_url":"http://www.freebase.com/api/trans/image_thumb/guid/9202a8c04000641f8000000000c01763?maxwidth=80&maxheight=80&mode=fillcrop"                },                {                   "summary":"comScore (NASDAQ: SCOR) is an internet marketing research company providing marketing data and services to many of the Internet's largest businesses. comScore tracks all internet data on its surveyed computers in order to study online behavior.\ncomScore Networks was founded in August 1999 in Reston, Virginia. The company was co-founded by Gian Fulgoni, who was for many years the CEO of Information Resources (one of the world's largest market research companies) and Magid Abraham, who was also an ex-IRI employee and had served as President of IRI in the mid-1990s.\nMagid and Gian came up with the idea while working with one of the original investors in the company, Mike Santer, who thought up the concept of creating a very large consumer panel online to track online commerce. The problem was that the traditional methods in which companies were tracking online behavior would not work in tracking commerce, because of the lower incidence of buying online. Normal panels in tracking visitation would be around 20-30K and, with less than 2-3% of the population buying online, the panel size needed to be at least 1-2MM. They decided to build a very large panel using more aggressive recruiting",                   "guid":"9202a8c04000641f80000000011b61e1",                   "in_text_span":[                      {                         "position":{                            "start":63,                            "offset":8                         }                      }                   ],                   "affiliate":[                      {                         "product":{                            "category":"Books",                            "price":"$65.00",                            "description":null,                            "name":"Internet Marketing: Marketing, Internet, Customer Engagement, Search Engine Marketing, Search Engine Optimization, Web Banner, E-mail Marketing, Web 2.0, ... ComScore, Hit (Internet), Article Marketing",                            "thumb_url":"http://ecx.images-amazon.com/images/I/41KlBuTbExL._SL75_.jpg",                            "url":"http://www.amazon.com/Internet-Marketing-Customer-Engagement-Optimization/dp/613027193X%3FSubscriptionId%3D09A353YT60QR9FJTHM82%26tag%3Dws%26linkCode%3Dxm2%26camp%3D2025%26creative%3D165953%26creativeASIN%3D613027193X",                            "creator":""                         },                         "provider_url":"http://www.amazon.com",                         "provider_name":"Amazon"                      }                   ],                   "label":"comscore",                   "image_url":"http://www.freebase.com/api/trans/image_thumb/guid/9202a8c04000641f80000000011b61e1?maxwidth=80&maxheight=80&mode=fillcrop"                }             ]          },          "created_at":1270532100,          "author_id":"32308096"       }    },    {       "supertweet":{          "tweet_text_body":"@ev  Alexa",          "tweet_domain":"twitter.com",          "author_screen_name":"shivani07july",          "tweet_id":"11684482105",          "context":{             "social_rank":0.0,             "links":[             ],             "entities":[             ]          },          "created_at":1270533829,          "author_id":"127443436"       }    } ]

http://openapi.cascaad.com/2/supertweet/related.json